/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Game;

/**
 *
 * @author Jose Ricardo
 */
public class OrientedKamikaze extends Enemy{

    @Override
    public void step(long timeElapsed) {
        y += Globals.ORIENTED_KAMIKAZE_SPEED;

        // Verificar se o inimigo ultrapassou a tela. Caso positivo, remover ele
        // da cena
        if (y > Globals.VIEWPORT_HEIGHT){
            // Destruir este inimigo
            Scene.getInstance().removeGameObject(this);

            // Decrementar contador
            GamePlayState.setNum_inimigos(GamePlayState.getNum_inimigos() - 1);
        }
    }

    @Override
    public int totalPoints() {
        return 10;
    }

}
